<template>
  <div class="app-container">
    <div class="filter-container">
      <el-input v-model="label_name" placeholder="请输入标签名称" class="filter-item"></el-input>
      <el-button type="primary" class="filter-item" icon="el-icon-search" @click="btn_search">搜索</el-button>
      <el-button type="primary" class="filter-item" icon="el-icon-plus" @click="btn_add">添加</el-button>
    </div>

    <el-table v-loading="loading" :data="dataLists" border stripe>
      <el-table-column type="index" label="编号" align="center" fixed width=""></el-table-column>
      <el-table-column label="标签名称" align="center" fixed width="">
        <template slot-scope="scope">
            <el-tag :color=scope.row.F_LabelColor :style="{'color':scope.row.F_FontColor}">{{scope.row.F_Name}}</el-tag>
        </template>
      </el-table-column>
      <el-table-column prop="F_Note" label="备注" align="center">
      </el-table-column>
      <el-table-column label="操作" width="220" align="center" class-name="oparate_btn" fixed="right">
        <template slot-scope="scope">
          <el-button  type="text" @click="btn_edit(scope.row.F_ID.toString())">编辑</el-button>
          <el-button  type="text" @click="btn_delete(scope.row.F_ID)">删除</el-button>
        </template>
      </el-table-column>
    </el-table>
    <pagination
      v-show="pageParams.total > 0"
      :total="pageParams.total"
      :pageindex.sync="pageParams.pageindex"
      :pagesize.sync="pageParams.pagesize"
      class="pagination"
      @pagination="getList" />
  </div>
</template>

<script>

import { getLabelLists,deleteLable } from '@/api/memberManagement/memberList'
import addOrEdit from './addOrEdit'
import { formatterContent } from '@/utils'
import Pagination from '@/components/Pagination' // 对el-pagination 二次封装

export default {
  name: 'memberLabel',
  components: {
    Pagination
  },
  data() {
    return {
      loading: false,
      label_name: '',//标签名
      label_note: '',//标签描述
      pageParams: {
        pageindex: 1, // 当前第几页
        pagesize: Number(this.$store.getters.serverConfig.PAGESIZE), // 每页几条数据
        total: 0 // 总共多少数据
      },
      dataLists: [] // 列表数据
    }
  },
  created() {
    this.getList()
    document.onkeyup = (e) => {
      if (e.keyCode === 13) {
        this.getList()
      }
    }
  },
  methods: {
    getList() {
      this.loading = true
      return new Promise(resolve => {
        const params = {
          pageindex: this.pageParams.pageindex, // int 第几页
          pagesize: this.pageParams.pagesize, // int 每页几条信息
          keyword: this.label_name.trim(),//搜索标签名
        }
        getLabelLists(params).then(response => {
          this.loading = false
          if (response.state.toLowerCase() === 'success') {
            this.pageParams.total = response.rows.Totals
            this.dataLists = response.rows.Rows
          }
        })
        resolve()
      })
    },
    btn_search() {
      this.pageParams.pageindex = 1
      this.getList()
    },
    btn_add() {
      this.$layer.iframe({
        content: {
          content: addOrEdit, // 传递的组件对象
          parent: this, // 当前的vue对象
          data: { 'rowid': '' }// props//该方法会自动添加一个key为layerid的值， 该值为创建层的id， 可以直接使用
        },
        area: ['80%', '90%'],
        title: '添加标签'
      })
    },
    btn_edit(editId) {
      this.$layer.iframe({
        content: {
          content: addOrEdit, // 传递的组件对象
          parent: this, // 当前的vue对象
          data: { 'rowid': editId }// props
        },
        area: ['80%', '90%'],
        title: '编辑标签信息'
      })
    },
    btn_delete(editId) {
      this.$confirm('您确定要将此标签删除吗?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        deleteLable(editId).then(response => {
          if (response.state.toLowerCase() === 'success') {
            this.getList()
            this.$message.success('删除成功!')
          }
        })
      }).catch(() => {
        this.$message.info('已取消删除')
      })
    },
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>

</style>
